Kiterjesztések kompatibilitása

A Mozilla Firefox számos érdekes és egyedi funkciót kínál. Mindenkinek megvan a kedvence, de az biztos, hogy a kiterjesztések használatának biztosításával eddig nem látott testreszabhatóságot és funkciógazdagságot sikerült a Firefox fejlesztőinek a felhasználók kezébe adni. Ám a kiterjesztések rendszerének éltető ereje a közösség, amely a Firefoxot körülveszi, s amely közösség ezernyi tagja fejleszt kiterjesztéseket a Mozilla termékekhez, így a Firefoxhoz is. Nyilván a közösségi tagok ideje is korlátos, hiszen a legtöbb kiterjesztés lelkesedésből, vagy egy jó ötlet megvalósításaként születik és frissül hónapokon, éveken keresztül.

A felgyorsított kiadási ütemezés nagyon sok szempontból előnyös, hiszen, a „release early, release often” (adj ki hamar, adj ki gyakran) elv megvalósításának előnyei vitathatatlanok egy közösségi fejlesztés keretein belül. Talán az egyetlen hátulütő a Firefox esetében, a kiterjesztések frissítési kényszere, amely esetleg a Firefox böngészőverziók közötti apróbb változtatások nem feltétlenül igazolnak. A kiterjesztések szempontjából az új ütemezésben nem feltétlenül lesz különbség, így a szigorú verzió ellenőrzés – kiegészítők kompatibilitásának vizsgálatának – terhét esetleg fel is oldhatja a felhasználó. Természetesen az így átállított Firefox nem várt működése esetén célszerű a letiltott kompatibilitásvizsgálat esetleges mellékhatásaként gondolni és a rendetlenkedő kiterjesztés – egy azóta megjelent frissítéssel – javítani, vagy letiltani.

Megjegyezném, hogy az új generációs úgynevezett JetPack, azaz az Add-On SDK-val vagy Builderrel készült kiterjesztéseknél ez a probléma már nem áll fent, mert a Firefoxot egy stabil és visszamenőleg kompatibilis API-n keresztül éri el a kiterjesztés, amelynek egy másik pozitív hatása, hogy újraindítás nélkül telepíthető és frissíthető.

A kiegészítők kompatibilitásának vizsgálata letiltásához tudjuk meg az általunk használt böngésző verziószámát:

Ez a Súgó → A Firefox névjegye panelon a verziószámnál tudjuk leolvasni. Jelen esetben ez most: „5.0”.

Írjuk be a címsorba az about:config szöveget majd nyomjuk le az Enter billentyűt.

Nyomjuk le az „Óvatos leszek, megígérem!” gombot és tényleg legyünk óvatosak!

A megjelenő lapon kattintsunk jobb gombbal és válasszuk ki az „Új” → „Logikai” lehetőséget.

A beállítás neveként adjuk meg ezt (figyelve, hogy a fent leírt módon megtudott verziószámot írjuk be):

extensions.checkCompatibility.5.0

majd kattintsunk az OK gombra.

A megjelenő ablakban válasszuk ki a „false” értéket és kattintsunk az OK gombra. Amennyiben nightly verziókat próbálunk ki, akkor a verziószámmal rendelkező beállítás helyett az alább opciót használhatjuk:

extensions.checkCompatibility.nightly

A beállítás ellenőrzéséhez tekintsük meg az „Eszközök” menüben található „Kiegészítők” lapot (vagy alternatív módon írjuk be az about:addons szöveget a címsorba). A kiterjesztések verzió-ellenőrzése le van tiltva akkor ha a Kiterjesztések lapon a következő szöveg olvasható:

„A kiegészítők kompatibilitásának vizsgálata tiltva van. Előfordulhat, hogy nem kompatibilis kiegészítői vannak.”

Ezek után kipróbálhatjuk a letiltott kiterjesztéseket és ha minden jól megy a Firefox tökéletes működése mellett visszakaphatjuk a hiányolt funkcionalitást, megjelenést.

Hozzászólások

  1. De úgy is működik, hogy a 4-esben adjuk meg a logikai értéket (mármint úgy, hogy még a 4-es fut), majd utána frissítünk 5-ösre, és a figyelmeztetés ellenére mégis működik minden plugin újraindulás után (már ami működőképes).

    Köszi!

  2. Vágai György szerint:

    Ha tegnapi kérdésemre készült az útmutató, nagyon köszönöm. Nem ezt értettem más megjelenés alatt, hanem, hogy az elején kezdjem:a bal felső sarokban nincs a narancssárga téglalap a Mozzilla felirattal. Továbbra is ott van a “fejléc”Fájl-Súgóig.És igy tovább… S mint emlitettem, a 4-es verzió letöltésekor megvolt, aztán több nap után állt elő/vissza/ ez a helyzetaz előző verziónál, majd a legújabb esetében már igy jelent meg. Névjegy ellenőrizve!

    • Warner szerint:

      jobb klikk az eszköztárak valamelyikére:
      - pipa a felül elhelyezett fülekre
      - pipa elvétele a menüsor mellől.

    • Igen, arra készült.
      A Firefox 5 külleme pár kattintással visszaállítható az új vonalnak megfelelően, ahogy az Warner is írta.

  3. andi szerint:

    Az új Mozillában nem működik az Offline Mail. Nekem fontos lenne. Tud valaki segíteni?

  4. jó dolog ez a gyors ütemterv, de az auto-update de még a kézi (Súgó → A Firefox névjegye) sem megy (5.0-ról 5.0.1-re) – azt írja naprakész, így kénytelen voltam letölteni mozilla.com-ról az új verziót és úgy telepíteni.

    • És így 5.0.1-et ír ki?

      • igen, telepítés után már azt írta ki, de előtte lazán kiírta 5.0-ra is hogy naprakész :D
        kíváncsi leszek a 6-osra majd lefrissíti-e magát 16-án, ha megjelenik.

  5. Németh László szerint:

    Helló!

    Lehet, hogy naiv kérdés: Firefox 5 esetében, ha német nyelvű a menüsor, át lehet-e állítani magyarra a menüből? Ha igen, akkor hol, ha nem, akkor csak új telepítéssel lehet?
    Várom segítő válaszotokat.

    • A Firefoxban nyelvi csomagok vannak. Ha fel van telepítve a nyelvi csomag, akkor a kiegészítők között tudsz váltani. Ilyen – a Firefoxszal megegyező nyelvi csomagot az alapértelmezett letöltési helyről nem, de a Mozilla FTP-helyéről le tudsz tölteni.

Külső hivatkozások

  1. Mozilla Firefox szerint:

    [...] működése mellett visszakaphatjuk a hiányolt funkcionalitást, megjelenést. Forrás: Kiterjesztések kompatibilitása Válaszol [...]